RENICE(1)

BEZEICHNUNG
renice - die Priorität laufender Prozesse ändern

ÜBERSICHT
renice [-n] Priorität [-g|-p|-u] Bezeichner …

BESCHREIBUNG
renice ändert das Prioritäts-Scheduling eines oder mehrerer laufender Prozesse. Das erste Argument ist der zu verwendende Prioritäts-Wert. Die anderen Argumente werden als Prozesskennungen interpretiert (Vorgabe), Prozessgruppenkennungen, Benutzerkennungen oder Benutzernamen. Das Anwenden von renice auf eine Prozessgruppe beeinflusst das Scheduling aller Prozesse in dieser Prozessgruppe gleichermaßen. Das Anwenden von renice auf einen Benutzer ändert das Prioritäts-Scheduling aller Prozesse, die diesem Benutzer gehören.

OPTIONEN

-n, --priority Priorität
    gibt das für den Prozess, die Prozessgruppe oder den Benutzer zu verwendende Prioritäts-Scheduling an. Die Verwendung der Optionen -n oder --priority ist optional, aber dann müssen sie stets das erste Argument sein.

-g, --pgrp
    interpretiert die nachfolgenden Argumente als Prozessgruppenkennungen.

-p, --pid
    interpretiert die nachfolgenden Argumente als Prozesskennungen (Vorgabe).

-u, --user
    interpretiert die nachfolgenden Argumente als Benutzernamen oder Benutzerkennungen.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

BEISPIELE
Der folgende Befehl ändert die Priorität der Prozesse mit den Prozesskennungen 987 und 32 und außerdem aller Prozesse, die den Benutzern »daemon« und »root« gehören:

renice +1 987 -u daemon root -p 32

ANMERKUNGEN
Benutzer, die keine Superuser sind, können nur die Priorität solcher Prozesse ändern, die ihnen selbst gehören. Weiterhin können unprivilegierte Benutzer den »Nice-Wert« nur erhöhen (d.h. eine niedrigere Priorität wählen), außerdem sind solche Änderungen nicht umkehrbar, es sei denn (seit Linux 2.6.12), dass der Benutzer eine passende Ressourcenbeschränkung des »Nice-Werts« hat (siehe ulimit(1) und getrlimit(2)).

Der Superuser darf die Priorität aller Prozesse ändern und die Priorität auf jeden Wert von -20 bis 19 setzen. Sinnvolle Prioritäten sind: 19 (die betroffenen Prozesse werden nur ausgeführt, wenn nichts anderes im System ausgeführt wird), 0 (das »grundlegende« Prioritäts-Scheduling), eine negative Zahl (um Dinge sehr schnell ablaufen zu lassen).

DATEIEN

/etc/passwd
    zum Zuordnen der Benutzernamen zu Benutzerkennungen

SIEHE AUCH
nice(1), getpriority(2), setpriority(2), credentials(7), sched(7)

GESCHICHTE
Der Befehl renice erschien in 4.0BSD.

VERFÜGBARKEIT
Der Befehl »renice« ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (https://www.kernel.org/pub/linux/utils/util-linux/) heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.